
# SXCM cluster {{ sx_cluster_name }}

This repository hold the configuration state of the **{{ sx_cluster_name }}** openshift cluster
deployed using the sxcm framework.

## Cluster description

| Prop            | Value                                                                 |
| --------------- | --------------------------------------------------------------------- |
| **name**        | {{ sx_cluster_config_name }}                                          |
| **scope**       | {{ sx_cluster_config_scope }}                                         |
| **environment** | {{ sx_cluster_config_environment }}                                   |
| **owner**       | {{ sx_cluster_config_owner }}                                         |
| **kind**        | {{ sx_cluster_config_kind }}                                          |
| **profile**     | {{ sx_cluster_config_profile }}                                       |
| **profile**     | {{ sx_cluster_config_profile }}                                       |
| **baseDomain**  | {{ sx_cluster_config_base_domain }}                                    |
| **sshKey**      | {{ sx_cluster_ssh_keypub[0:20] }}...{{ sx_cluster_ssh_keypub[-10:] }} |

## AWS context

| Prop          | Value                 |
| ------------- | --------------------- |
| **repo name** | {{ sx_cluster_name }} |

{% if sx_cluster_vault_enable %}

## Vault context

| Prop       | Value                         |
| ---------- | ----------------------------- |
| **server** | {{ ansible_hashi_vault_url }} |
| **path**   | {{ sx_cluster_vault_path }}   |

{% endif %}

## Repository content

| File / Directory              | Description 
| ----------------------------- | ----------------------------------------
| auth                          | Auth credentials for this cluster 
| tls                           | TLS used on creation
| .is-deployed                  | Present when cluster is deployed 
| .is-started                   | Present when cluster is started 
| .openshift_install.log        | Output log for the installer
| .openshift_install_state.json | Openshift install state
| \*.tfvars.json                | Terraform vars used during provisionning 
| install-config.yaml           | Description of the custer and installation descriptor
| \*.tfstate                    | Terraform states generated during provisionning

## using the sxcm framework

**_MUST BE COMPLETED IN TEMPLATE default in startxfr.sxcm.cluster role_**
